function Kr = K_reduced(K,Q,dim_par)
% Compute cell array of components of reduced matrix Q**K*Q
%
% Input:   K        cell array of components of coefficient matrix
%          Q        matrix whose columns correspond to the (current) 
%                   reduced basis
%          dim_par  number of parameters
%
% Output:  K_r      cell array of components of reduced matrix

Kr = cell(1,dim_par+1);
for i=1:dim_par+1,
   Kr{i} = Q'*(K{i}*Q);
end