% Generate sample parameter, generate and solve full system, 
% generate and solve reduced system, compare times.

xi = 2*rand(dim_par,1) - 1;

% Generate and solve full system
tic;
Kxi   = K{1};
for j=1:dim_par,
   Kxi   = Kxi   + K{j+1}*xi(j);
end
u = Kxi\fxi;
full_time = toc;

% Generate and solve reduced system
tic;
Kr_xi = Kr{1};
for j=1:dim_par,
   Kr_xi = Kr_xi + Kr{j+1}*xi(j);
end
u_rb = Qrb*(Kr_xi\(Qrb'*fxi(1:dim_sp)));
reduced_time = toc;

fprintf('Time to solve full system:     %d\n', full_time);
fprintf('Time to solve reduced system:  %d\n', reduced_time);
fprintf('Ratio full/reduced:            %f\n\n',full_time/reduced_time);